Skip to main content
PATCH
/
crawl
/
{id}
Update website datasource settings
curl --request PATCH \
  --url https://api.open.cx/crawl/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "display_name": "<string>",
  "page_limit": 2500,
  "exclude_paths": [
    "<string>"
  ],
  "include_paths": [
    "<string>"
  ],
  "crawl_interval_hours": 4503599627370508,
  "restricted_to_channels": []
}
'
import requests

url = "https://api.open.cx/crawl/{id}"

payload = {
"display_name": "<string>",
"page_limit": 2500,
"exclude_paths": ["<string>"],
"include_paths": ["<string>"],
"crawl_interval_hours": 4503599627370508,
"restricted_to_channels": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
display_name: '<string>',
page_limit: 2500,
exclude_paths: ['<string>'],
include_paths: ['<string>'],
crawl_interval_hours: 4503599627370508,
restricted_to_channels: []
})
};

fetch('https://api.open.cx/crawl/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "url": "<string>",
  "display_name": "<string>",
  "status": "<string>",
  "page_limit": 123,
  "exclude_paths": [
    "<string>"
  ],
  "include_paths": [
    "<string>"
  ],
  "crawl_interval_hours": 123,
  "restricted_to_channels": [],
  "last_crawl_started_at": "2023-11-07T05:31:56Z",
  "last_crawl_completed_at": "2023-11-07T05:31:56Z",
  "error_message": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The website datasource ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
display_name
string
page_limit
integer | null
Required range: 1 <= x <= 5000
exclude_paths
string[]
include_paths
string[]
crawl_interval_hours
integer | null
Required range: 24 <= x <= 9007199254740991
status
enum<string>
Available options:
active,
paused
restricted_to_channels
enum<string>[]
Available options:
web,
email,
phone_voice,
slack,
sms,
whatsapp,
instagram,
messenger,
api,
web_voice

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
url
string
required
display_name
string
required
status
string
required
page_limit
number | null
required
exclude_paths
string[]
required
include_paths
string[]
required
crawl_interval_hours
number | null
required
restricted_to_channels
enum<string>[]
required

Channels this datasource is restricted to. Empty = available on all channels.

Available options:
web,
email,
phone_voice,
slack,
sms,
whatsapp,
instagram,
messenger,
api,
web_voice
last_crawl_started_at
string<date-time> | null
required
last_crawl_completed_at
string<date-time> | null
required
error_message
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required